<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;
      charset=windows-1252">
  </head>
  <body>
    <div class="moz-cite-prefix">Às 16:23 de 15/08/20, Jose Ramom Flores
      das Seixas escreveu:<br>
    </div>
    <blockquote type="cite"
      cite="mid:a5d99377-07c5-363b-fe71-bc0f96ba3e53@gmail.com">
      <meta http-equiv="content-type" content="text/html;
        charset=windows-1252">
      <div class="moz-forward-container"><br>
        -------- Mensagem reencaminhada --------
        <table class="moz-email-headers-table" cellspacing="0"
          cellpadding="0" border="0">
          <tbody>
            <tr>
              <th valign="BASELINE" nowrap="nowrap" align="RIGHT">Assunto:
              </th>
              <td>Re: no modules availables</td>
            </tr>
            <tr>
              <th valign="BASELINE" nowrap="nowrap" align="RIGHT">Data:
              </th>
              <td>Sat, 15 Aug 2020 15:56:29 +0200</td>
            </tr>
            <tr>
              <th valign="BASELINE" nowrap="nowrap" align="RIGHT">De: </th>
              <td>Jose Ramom Flores das Seixas <a
                  class="moz-txt-link-rfc2396E"
                  href="mailto:jose.ramom.flores.das.seixas@gmail.com"
                  moz-do-not-send="true"><jose.ramom.flores.das.seixas@gmail.com></a></td>
            </tr>
            <tr>
              <th valign="BASELINE" nowrap="nowrap" align="RIGHT">Para:
              </th>
              <td>José Abílio Matos <a class="moz-txt-link-rfc2396E"
                  href="mailto:jamatos@lyx.org" moz-do-not-send="true"><jamatos@lyx.org></a></td>
            </tr>
          </tbody>
        </table>
        <br>
        <br>
        <meta http-equiv="Content-Type" content="text/html;
          charset=windows-1252">
        <div class="moz-cite-prefix">Às 23:37 de 14/08/20, José Abílio
          Matos escreveu:<br>
        </div>
        <blockquote type="cite" cite="mid:3001449.5fSG56mABF@myth">
          <meta http-equiv="content-type" content="text/html;
            charset=windows-1252">
          <meta name="qrichtext" content="1">
          <style type="text/css">
p, li { white-space: pre-wrap; }
</style>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">On Friday, 14 August 2020 16.28.22 WEST Jose Ramom Flores das Seixas wrote:</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> Hi:</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> I take a long time without using LyX, but my package manager has been</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> updating lyx when new versions come out. Nowadays, I have installed version</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> 2.3.5.2 (OS: Ubuntu 18.04).</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> Today I tried to edit a file, with lyxformat 544, but LyX tells me a module</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> is missing. Looking at the module dialogue I found that no module is</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> available.</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> I've checked that the standard module files are in /usr/share/lyx/layouts,</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> and besides them I have some other modules in ~/.lyx/layouts.</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> When I run LyX from a terminal I can notice the following error:</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> UnicodeDecodeError: 'utf8' codec can't decode byte 0xa9 in position 395:</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> invalid start byte support/Systemcall.cpp (276): Systemcall: 'python -tt</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> "/usr/share/lyx/configure.py" --binary-dir="/usr/bin/"' finished with exit</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> code 1</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">>  LyX: Done!</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">From experience this means that you have a old layout file or module that have an encoding that is not utf-8. In your case I assume that the culprit is either in latin1 or latin9 (the difference between those is the presence/absence of the euro sign).</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Also I thought that we had fixed all the remainder errors like this in 2.3.5.2</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">So my suggestion is to go to your personal lyx directory and check the encoding of file. By default in linux the location of the personal directory is ~/.lyx. You can see this in LyX using the menu: Help->About LyX->Version and see the User dir entry there.</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Using the shell in my case I have:</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">$ cd ~/.lyx</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">$ file bind/*</p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">bind/user.bind: ASCII text</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">My suggestion is to check the layouts directory that could be the likely source of the problem:</p>
          <p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; "> </p>
          <p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">$ file layouts/*</p>
        </blockquote>
        <p>You got it right, as I had several old modules from <a moz-do-not-send="true" href="http://www.editorium.com/lyxconverter.htm">Editorium</a> of type: 
</p>
        <blockquote>
          <p><font size="+1" color="#851f1f"><tt>Non-ISO extended-ASCII text, with CRLF line terminators</tt></font></p>
        </blockquote>
        <p>I have converted them to</p>
        <blockquote>
          <p><font size="+1" color="#851f1f"><tt> UTF-8 Unicode text</tt></font></p>
        </blockquote>
        <p>and now configure.py recognizes all the modules. 
</p>
        <p>On the other hand, executing  <font size="+1"><b><tt>Reconfigure</tt></b></font> inside LyX no longer gives an error message.</p>
        <p>
</p>
        <p>However, it still does not recognize Inkscape, even though it is installed. So in the log file the following is listed:</p>
        <blockquote>
          <p><font size="+1" color="#851f1f"><tt>INFO: checking for a SVG -> PDFTeX converter...</tt><tt>
</tt><tt>INFO: +checking for "inkscape"...  no</tt></font></p>
          <p>
</p>
        </blockquote>
      </div>
    </blockquote>
    <p>The problem with Inkscape was that I had installed it as a flatpak package. I've removed it and installed the deb package and now all seem OK.</p>
    <p>Cheers</p>
    <p>Ramom
</p>
  </body>
</html>